import * as i0 from '@angular/core';
import { Injectable, Component, NgModule, Input } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/router';
import { RouterModule } from '@angular/router';

class NgxUiExampleService {
    constructor() { }
}
NgxUiExampleService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgxUiExampleService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class NgxUiExampleComponent {
    constructor() { }
    ngOnInit() {
    }
}
NgxUiExampleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NgxUiExampleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.0", type: NgxUiExampleComponent, selector: "lib-ngx-ui-example", ngImport: i0, template: `
    <p>
      ngx-ui-example works!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-ngx-ui-example', template: `
    <p>
      ngx-ui-example works!
    </p>
  ` }]
        }], ctorParameters: function () { return []; } });

class NgxUiExampleModule {
}
NgxUiExampleModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxUiExampleModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleModule, declarations: [NgxUiExampleComponent], exports: [NgxUiExampleComponent] });
NgxUiExampleModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: NgxUiExampleModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxUiExampleComponent
                    ],
                    imports: [],
                    exports: [
                        NgxUiExampleComponent
                    ]
                }]
        }] });

class UiHeaderComponent {
    constructor() {
        this.links = [];
    }
    ngOnInit() {
    }
}
UiHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UiHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.1.0", type: UiHeaderComponent, selector: "ngx-ui-header", inputs: { links: "links" }, ngImport: i0, template: "<div class=\"ngx-header\">\n  <div class=\"block\">\n      <ng-content select=\"[logo]\"></ng-content>\n  </div>\n  <div class=\"block\">\n    <ul>\n      <li [routerLink]=\"item.router\" *ngFor=\"let item of links\">\n          {{ item.name }}\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".ngx-header{display:grid;grid-template-columns:2fr 3fr;padding:0 35px;height:60px;box-shadow:var(--ngx-ui-example-shadow-1)}.ngx-header .block{display:flex;align-content:center;align-items:center}.ngx-header .block ul{list-style:none;margin:0;padding:0;display:flex;gap:20px}.ngx-header .block .ul .li{padding:0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "preserveFragment", "skipLocationChange", "replaceUrl", "state", "relativeTo", "routerLink"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ngx-ui-header', template: "<div class=\"ngx-header\">\n  <div class=\"block\">\n      <ng-content select=\"[logo]\"></ng-content>\n  </div>\n  <div class=\"block\">\n    <ul>\n      <li [routerLink]=\"item.router\" *ngFor=\"let item of links\">\n          {{ item.name }}\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [".ngx-header{display:grid;grid-template-columns:2fr 3fr;padding:0 35px;height:60px;box-shadow:var(--ngx-ui-example-shadow-1)}.ngx-header .block{display:flex;align-content:center;align-items:center}.ngx-header .block ul{list-style:none;margin:0;padding:0;display:flex;gap:20px}.ngx-header .block .ul .li{padding:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { links: [{
                type: Input
            }] } });

class UiHeaderModule {
}
UiHeaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UiHeaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderModule, declarations: [UiHeaderComponent], imports: [CommonModule,
        RouterModule], exports: [UiHeaderComponent] });
UiHeaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderModule, imports: [CommonModule,
        RouterModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.1.0", ngImport: i0, type: UiHeaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UiHeaderComponent
                    ],
                    imports: [
                        CommonModule,
                        RouterModule
                    ],
                    exports: [
                        UiHeaderComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-ui-example
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxUiExampleComponent, NgxUiExampleModule, NgxUiExampleService, UiHeaderComponent, UiHeaderModule };
//# sourceMappingURL=ngx-ui-example-jc-cm.mjs.map
